gstreamermm: Gst::VideoOrientation Class Reference

gstreamermm 0.10.10.1

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions
Gst::VideoOrientation Class Reference
gstreamermm Interfaces

An interface for elements providing video orientation controls. More...

Inheritance diagram for Gst::VideoOrientation:
[legend]
Collaboration diagram for Gst::VideoOrientation:
[legend]

List of all members.

## Public Member Functions
virtual | ~VideoOrientation ()
GstVideoOrientation* | gobj ()
| Provides access to the underlying C GObject.
const GstVideoOrientation* | gobj () const
| Provides access to the underlying C GObject.
bool | get_hcenter (int& center) const
| Get the horizontal centering offset from the given object.
bool | get_hflip (bool&flip) const
| Get the horizontal flipping state (`true` for flipped) from the given object.
bool | get_vcenter (int& center) const
| Get the vertical centering offset from the given object.
bool | get_vflip (bool&flip) const
| Get the vertical flipping state (`true` for flipped) from the given object.
bool | set_hcenter (int center)
| Set the horizontal centering offset for the given object.
bool | set_hflip (bool flip)
| Set the horizontal flipping state (`true` for flipped) for the given object.
bool | set_vcenter (int center)
| Set the vertical centering offset for the given object.
bool | set_vflip (bool flip)
| Set the vertical flipping state (`true` for flipped) for the given object.
virtual bool | get_hflip_vfunc (bool&flip) const
virtual bool | get_vflip_vfunc (bool&flip) const
virtual bool | get_hcenter_vfunc (int& center) const
virtual bool | get_vcenter_vfunc (int& center) const
virtual bool | set_hflip_vfunc (bool flip)
virtual bool | set_vflip_vfunc (bool flip)
virtual bool | set_hcenter_vfunc (int center)
virtual bool | set_vcenter_vfunc (int center)
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gst::VideoOrientation > | wrap (GstVideoOrientation* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

An interface for elements providing video orientation controls.

The interface allows unified access to control flipping and autocenter operation of video-sources or operators.

## Constructor & Destructor Documentation

virtual Gst::VideoOrientation::~VideoOrientation | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gst::VideoOrientation::add_interface | ( | GType | gtype_implementer | ) | `[static]`

bool Gst::VideoOrientation::get_hcenter | ( | int & | center | ) | const

Get the horizontal centering offset from the given object.

Parameters:

  center | Return location for the result.

Returns:
  `true` in case the element supports centering.

virtual bool Gst::VideoOrientation::get_hcenter_vfunc | ( | int & | center | ) | const`[virtual]`

bool Gst::VideoOrientation::get_hflip | ( | bool & | flip | ) | const

Get the horizontal flipping state (`true` for flipped) from the given object.

Parameters:

  flip | Return location for the result.

Returns:
  `true` in case the element supports flipping.

virtual bool Gst::VideoOrientation::get_hflip_vfunc | ( | bool & | flip | ) | const`[virtual]`

bool Gst::VideoOrientation::get_vcenter | ( | int & | center | ) | const

Get the vertical centering offset from the given object.

Parameters:

  center | Return location for the result.

Returns:
  `true` in case the element supports centering.

virtual bool Gst::VideoOrientation::get_vcenter_vfunc | ( | int & | center | ) | const`[virtual]`

bool Gst::VideoOrientation::get_vflip | ( | bool & | flip | ) | const

Get the vertical flipping state (`true` for flipped) from the given object.

Parameters:

  flip | Return location for the result.

Returns:
  `true` in case the element supports flipping.

virtual bool Gst::VideoOrientation::get_vflip_vfunc | ( | bool & | flip | ) | const`[virtual]`

GstVideoOrientation* Gst::VideoOrientation::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

const GstVideoOrientation* Gst::VideoOrientation::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

bool Gst::VideoOrientation::set_hcenter | ( | int | center | ) |

Set the horizontal centering offset for the given object.

Parameters:

  center | Centering offset.

Returns:
  `true` in case the element supports centering.

virtual bool Gst::VideoOrientation::set_hcenter_vfunc | ( | int | center | ) | `[virtual]`

bool Gst::VideoOrientation::set_hflip | ( | bool | flip | ) |

Set the horizontal flipping state (`true` for flipped) for the given object.

Parameters:

  flip | Use flipping.

Returns:
  `true` in case the element supports flipping.

virtual bool Gst::VideoOrientation::set_hflip_vfunc | ( | bool | flip | ) | `[virtual]`

bool Gst::VideoOrientation::set_vcenter | ( | int | center | ) |

Set the vertical centering offset for the given object.

Parameters:

  center | Centering offset.

Returns:
  `true` in case the element supports centering.

virtual bool Gst::VideoOrientation::set_vcenter_vfunc | ( | int | center | ) | `[virtual]`

bool Gst::VideoOrientation::set_vflip | ( | bool | flip | ) |

Set the vertical flipping state (`true` for flipped) for the given object.

Parameters:

  flip | Use flipping.

Returns:
  `true` in case the element supports flipping.

virtual bool Gst::VideoOrientation::set_vflip_vfunc | ( | bool | flip | ) | `[virtual]`

## Friends And Related Function Documentation

Glib::RefPtr< Gst::VideoOrientation > wrap | ( | GstVideoOrientation * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/videoorientation.h